/* Left Message Tray

    Move the message tray to the left side

    Copyright (C) 2012  Robytrevi <robytrevi@hotmail.com>

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>. */

const St = imports.gi.St;
const Main = imports.ui.main;
const MessageTray = imports.ui.messageTray;

function LeftMessageTray() {
    this.enable = function(){
    // Align summary items to the left
    Main.messageTray._summaryBin.x_align = St.Align.START
    }

    this.disable = function(){
    // Align summary items to the right
    Main.messageTray._summaryBin.x_align = St.Align.END
    }
}

function init() {
leftMessageTray = new LeftMessageTray()
}

function enable() {
    leftMessageTray.enable()
}

function disable() {
    leftMessageTray.disable()
}
